Attribute VB_Name = "IsoViews1"
'---------------------------------------------------------------------03/09/2007
' ISOViews.swp                      Written by Leonard Kikstra,
'                                   Copyright 2001-2007, Leonard Kikstra
'                                   Downloaded from Lenny's SolidWorks Resources
'                                        at http://www.lennyworks.com/solidworks
' ------------------------------------------------------------------------------
' Written by Leonard Kikstra 08/2001
' Simplified & rewritten 01/2003
' New look for added 01/2007
'     Based on tip from  Daniel Fernndez, Dpto. Tcnico,
'     VEGALVA S.A., Pontevedra - Spain, oftecnica@vegalva.com
'-------------------------------------------------------------------------------
Dim swApp As Object
Dim ModelDoc As Object
Dim ModelView As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim FileName As String
Const swDocPART = 1
Const swDocASSEMBLY = 2
Const swViewAnimationSpeed = 38
Const swViewDisplayMode_ShadedWithEdges = 5   ' only valid for a part
Global Const version = "1.20"

Sub main()

  Pi = 4 * Atn(1)   ' The infamous pi value
  Set swApp = CreateObject("SldWorks.Application")            ' Attach to SolidWorks
  Set ModelDoc2 = swApp.ActiveDoc                             ' Grab active document
  If ModelDoc2 Is Nothing Then                                ' Is doc loaded
    MsgBox "No model loaded."                                 ' Nothing - Warn user
  Else                                                        ' Else check doc loaded
    FileTyp = ModelDoc2.GetType                               ' Get doc type
    If FileTyp = swDocASSEMBLY Or FileTyp = swDocPART Then    ' Is doc type model

      If swApp.RevisionNumber() >= "12.0.0" Then              ' SWX 2004 and later
        Set swModView = ModelDoc2.ActiveView
        swModView.DisplayMode = swViewDisplayMode_ShadedWithEdges
      Else
        ModelDoc2.ViewDisplayShaded
      End If
      VSpeed = swApp.GetUserPreferenceDoubleValue(swViewAnimationSpeed)
      swApp.SetUserPreferenceDoubleValue swViewAnimationSpeed, 0#
 
      ModelDoc2.ShowNamedView2 "*Isometric", -1
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "ISO Right Front"
      ModelDoc2.NameView "ISO Right Front"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "ISO Left Front"
      ModelDoc2.NameView "ISO Left Front"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "ISO Left Rear"
      ModelDoc2.NameView "ISO Left Rear"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "ISO Right Rear"
      ModelDoc2.NameView "ISO Right Rear"

      ModelDoc2.ShowNamedView2 "*Dimetric", -1
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "DIM Right Front"
      ModelDoc2.NameView "DIM Right Front"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "DIM Left Front"
      ModelDoc2.NameView "DIM Left Front"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "DIM Left Rear"
      ModelDoc2.NameView "DIM Left Rear"

      Set ModelView = ModelDoc2.ActiveView
      ModelView.RotateAboutAxis (Pi / 2), 0#, 0#, 0#, 0#, 1#, 0#
      ModelDoc2.ViewZoomtofit
      ModelDoc2.DeleteNamedView "DIM Right Rear"
      ModelDoc2.NameView "DIM Right Rear"

      ModelDoc2.ShowNamedView2 "*Dimetric", -1
      ModelDoc2.ViewZoomtofit
      swApp.SetUserPreferenceDoubleValue swViewAnimationSpeed, VSpeed

      FormISOViews.Show
    
    Else                                                      ' Else doc type check
      MsgBox "Active file is not a SolidWorks model."
    End If                                                    ' End doc type check
  End If                                                      ' End doc load Check

End Sub

